<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <!-- Provided "as is" License: Creative Commons - http://creativecommons.org/licenses/by-sa/3.0/
        Authors: David RR Webber, May, 2008 -->
    <!--
        Purpose  : Parse NIEM mdb XML export and create lookup dictionary of NIEM properties.
        Original : 07/07/2008
        Initials : drrw
        Description : Parse NIEM library into XML lookup format for use in building wantlist cross reference spreadsheets.
       
        Updated  - Inits - Change
        07/07/08   drrw   Initial release 
        11/30/09   drrw   Revised for NIEM 2.1 release
    -->
 
    <xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
    
    <xsl:variable name="version">1.01</xsl:variable>
    <xsl:variable name="apos">&amp;apos;</xsl:variable>
    <xsl:variable name="quote">"</xsl:variable>
    <xsl:variable name="quotes">&amp;quot;</xsl:variable>
    <xsl:template match="/">
        <ITEMSlookup version="1.0">
            <xsl:comment>
                Repository generator, version <xsl:value-of select="$version"/>
                Generated on - <xsl:value-of select="current-dateTime()"></xsl:value-of>
                <xsl:value-of select="'&#xD; &#xD;' "/>
            </xsl:comment>
            <xsl:apply-templates select="dataroot/child::*"/>
        </ITEMSlookup>
    </xsl:template>
    
    <xsl:template match="Property">
        <Property item="{PropertyName}" type="{TypeName}" definition="{replace(replace(Definition,'''',$apos),$quote,$quotes)}"/>
    </xsl:template>
    
    <xsl:template match="node()"></xsl:template>
    
</xsl:stylesheet>
