<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <!-- Provided "as is" License: Creative Commons - http://creativecommons.org/licenses/by-sa/3.0/
        Authors: David RR Webber, December, 2009 -->
    <!--
        Purpose  : Parse NIEM mdb XML export and create lookup dictionary of NIEM properties.
        Original : 12/01/2009
        Initials : drrw
        Description : Parse NIEM library into XML lookup format for use in building wantlist cross reference spreadsheets.
       
        Updated  - Inits - Change
        12/01/09   drrw   Initial release 
    -->
 
    <xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
    
    <xsl:variable name="version">1.0</xsl:variable>
    <xsl:variable name="apos">&amp;apos;</xsl:variable>
    <xsl:variable name="quote">"</xsl:variable>
    <xsl:variable name="quotes">&amp;quot;</xsl:variable>
    <xsl:template match="/">
            <NIEMproperties>
            <xsl:comment>
                Repository generator, version <xsl:value-of select="$version"/>
                NIEM version 2.1
                Generated on - <xsl:value-of select="current-dateTime()"></xsl:value-of>
                <xsl:value-of select="'&#xD; &#xD;' "/>
            </xsl:comment>
            <xsl:apply-templates select="dataroot/child::*"/>
        </NIEMproperties>
    </xsl:template>
    
    <xsl:template match="TypeContainsProperty">
        <NIEMproperty nsprefix="{TypeNamespacePrefix}" type="{TypeName}" propertyNS="{PropertyNamespacePrefix}"
            property="{PropertyName}"
            isContent="{isContent}"
            isReference="{isReference}"
            min="{MinOccurs}"
            max="{MaxOccurs}"/>         
    </xsl:template>
    
    <xsl:template match="node()"></xsl:template>
    
</xsl:stylesheet>
